Find Advertisers (Advanced)
curl --request POST \
--url https://api.eflow.team/v1/networks/advertiserstable \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"search_terms": [
{
"search_type": "name",
"value": "DocTest"
}
],
"filters": {
"account_status": "active",
"account_manager_ids": [
2
],
"labels": [
"updated-label"
]
}
}
'import requests
url = "https://api.eflow.team/v1/networks/advertiserstable"
payload = {
"search_terms": [
{
"search_type": "name",
"value": "DocTest"
}
],
"filters": {
"account_status": "active",
"account_manager_ids": [2],
"labels": ["updated-label"]
}
}
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
search_terms: [{search_type: 'name', value: 'DocTest'}],
filters: {account_status: 'active', account_manager_ids: [2], labels: ['updated-label']}
})
};
fetch('https://api.eflow.team/v1/networks/advertiserstable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"advertisers": [
{
"network_advertiser_id": 66,
"network_id": 1,
"name": "DocTest Updated Advertiser",
"account_status": "active",
"account_manager_id": 2,
"account_manager_name": "Justin Black",
"sales_manager_id": 2,
"sales_manager_name": "Justin Black",
"today_revenue": "$0.00",
"time_created": 1774618267,
"time_saved": 1774619075,
"labels": [
"updated-label"
],
"verification_token": "updatedtoken123"
},
{
"network_advertiser_id": 13,
"network_id": 1,
"name": "William Fowler Inc.",
"account_status": "active",
"account_manager_id": 2,
"account_manager_name": "Justin Black",
"sales_manager_id": 0,
"sales_manager_name": "",
"today_revenue": "$0.00",
"time_created": 1774296114,
"time_saved": 1774296114,
"labels": null,
"verification_token": ""
}
],
"paging": {
"page": 1,
"page_size": 100,
"total_count": 9
}
}Advertisers
Find Advertisers (Advanced)
POST
/
networks
/
advertiserstable
Find Advertisers (Advanced)
Retrieve a paginated list of advertisers. Supports search filters, sorting, and pagination to help you find and browse advertisers programmatically. Returns advertiser data with account manager names and today’s revenue.
Authorizations
The Everflow API key generated from the Control Center > Security.
Query Parameters
Page number (1-based).
Number of results per page.
Required range:
x <= 2000Body
application/json
Was this page helpful?
⌘I
